Bug 450271 - xchat-2.8.4-16.fc10 missing soname dependencies
xchat-2.8.4-16.fc10 missing soname dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
: 458185 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 07:02 EDT by Richard W.M. Jones
Modified: 2008-08-11 09:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.8.6-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-11 09:50:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-06-06 07:02:40 EDT
xchat from rawhide (xchat-2.8.4-16.fc10.i386) fails to start
apparently because a library is missing.

$ xchat
xchat: error while loading shared libraries: libntlm.so.0: cannot open shared
object file: No such file or directory
Comment 1 Richard W.M. Jones 2008-06-06 07:04:04 EDT
$ ldd `which xchat`
	linux-gate.so.1 =>  (0x00110000)
	libperl.so => /usr/lib/perl5/5.10.0/i386-linux-thread-multi/CORE/libperl.so
(0x00111000)
	libresolv.so.2 => /lib/libresolv.so.2 (0x00380000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x00d7e000)
	libm.so.6 => /lib/libm.so.6 (0x00b4e000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x076b8000)
	libutil.so.1 => /lib/libutil.so.1 (0x0048f000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00b80000)
	libc.so.6 => /lib/libc.so.6 (0x009d9000)
	libsexy.so.2 => /usr/lib/libsexy.so.2 (0x0039b000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x06f43000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00744000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00725000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00700000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x0085c000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x006ba000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x004d1000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00d78000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x00569000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x00866000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x00db1000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x003ab000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00d17000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00cc0000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00d9a000)
	librt.so.1 => /lib/librt.so.1 (0x00bd0000)
	libssl.so.7 => /lib/libssl.so.7 (0x07589000)
	libcrypto.so.7 => /lib/libcrypto.so.7 (0x07439000)
	libz.so.1 => /lib/libz.so.1 (0x00bba000)
	libdl.so.2 => /lib/libdl.so.2 (0x00b79000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x00bdc000)
	/lib/ld-linux.so.2 (0x009b1000)
	libntlm.so.0 => not found
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00495000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00df7000)
	libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x003c9000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x0043b000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00498000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00dec000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x00463000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x007ec000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x0046c000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x007f3000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00dfc000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x0081d000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x00b9c000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x009d5000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00d5a000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x00d0a000)
	libcap.so.2 => /lib/libcap.so.2 (0x00d04000)
	libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00967000)
	libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x07397000)
	libcom_err.so.2 => /lib/libcom_err.so.2 (0x00720000)
	libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00540000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x00dc3000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00d0f000)
	libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0x00476000)
	libkeyutils.so.1 => /lib/libkeyutils.so.1 (0x00395000)
Comment 2 Kevin Kofler 2008-06-06 07:43:48 EDT
WTF, xchat ends up with dependencies on only these:
/bin/sh
GConf2 >= 2.14
perl(:MODULE_COMPAT_5.10.0)

libntlm.so.0 is available, but for some reason it's not recognized as a 
dependency?
Comment 3 Kevin Kofler 2008-06-06 07:47:29 EDT
The F9 build xchat-2.8.4-16.fc9.i386.rpm has valid dependencies:
GConf2 >= 2.14
GConf2 >= 2.14
perl(:MODULE_COMPAT_5.10.0)
rpmlib(VersionedDependencies) <= 3.0.3-1
/bin/sh
/bin/sh
/bin/sh
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
libatk-1.0.so.0
libcairo.so.2
libcrypto.so.7
libcrypt.so.1
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.2)
libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4)
libc.so.6(GLIBC_2.7)
libdbus-1.so.3
libdbus-glib-1.so.2
libdl.so.2
libdl.so.2(GLIBC_2.0)
libdl.so.2(GLIBC_2.1)
libgdk_pixbuf-2.0.so.0
libgdk-x11-2.0.so.0
libglib-2.0.so.0
libgmodule-2.0.so.0
libgobject-2.0.so.0
libgthread-2.0.so.0
libgtk-x11-2.0.so.0
libm.so.6
libnsl.so.1
libntlm.so.0
libpango-1.0.so.0
libpangocairo-1.0.so.0
libperl.so
libpthread.so.0
libpthread.so.0(GLIBC_2.0)
libpthread.so.0(GLIBC_2.2)
libpython2.5.so.1.0
libresolv.so.2
librt.so.1
libsexy.so.2
libssl.so.7
libutil.so.1
libX11.so.6
libXext.so.6
libxml2.so.2
libz.so.1

The F10 build xchat-2.8.4-16.fc10.i386.rpm from the same specfile has only 
these:
GConf2 >= 2.14
GConf2 >= 2.14
perl(:MODULE_COMPAT_5.10.0)
rpmlib(VersionedDependencies) <= 3.0.3-1
/bin/sh
/bin/sh
/bin/sh
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Comment 4 Kevin Kofler 2008-06-06 07:57:21 EDT
See also https://bugzilla.redhat.com/show_bug.cgi?id=443015#c7
Comment 5 Kevin Kofler 2008-06-15 09:04:44 EDT
xchat-2.8.6-1.fc10.i386.rpm, which I just built, still exhibits this bug. :-(
Comment 6 Kevin Kofler 2008-08-06 18:53:18 EDT
*** Bug 458185 has been marked as a duplicate of this bug. ***
Comment 7 Kevin Kofler 2008-08-11 09:50:02 EDT
Should be fixed in 2.8.6-3.fc10.

Note You need to log in before you can comment on or make changes to this bug.